#!/usr/bin/python
# maybe you need to change the above line

import string, os, fnmatch
from stat import *
import utils

from logging import *
from config import *

def send_one_item(f, dirname, names):
    for i in names:
        if filter(lambda x, y=i, fn=fnmatch.fnmatch: fn(y, x), shared_patterns) <> []:
            fname = os.path.join(dirname, i)
            if os.path.isfile(fname):
                md5hash, size, bitrate, frequency, length = utils.mp3info(fname)
                if size<>0:
                    t = os.stat(fname)[ST_CTIME]
                    f.write('%i "%s" %s %i %i %i %i\n' % (t, utils.fs2v(fname), md5hash, size, bitrate, frequency, length))
            
def send_list(f):
    utils.walk(shared_dir, send_one_item, f)
    
f = open("shared", "w")
send_list(f)
f.close()